Create ad
curl --request POST \
--url https://api.sapt.ai/socials/ads/ads/{projectId}/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"adSetId": "<string>",
"name": "<string>",
"creative": {
"pageId": "<string>",
"videoId": "<string>",
"message": "<string>",
"linkUrl": "<string>",
"imageUrl": "<string>",
"headline": "<string>",
"description": "<string>"
},
"status": "PAUSED"
}
'import requests
url = "https://api.sapt.ai/socials/ads/ads/{projectId}/{accountId}"
payload = {
"adSetId": "<string>",
"name": "<string>",
"creative": {
"pageId": "<string>",
"videoId": "<string>",
"message": "<string>",
"linkUrl": "<string>",
"imageUrl": "<string>",
"headline": "<string>",
"description": "<string>"
},
"status": "PAUSED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
adSetId: '<string>',
name: '<string>',
creative: {
pageId: '<string>',
videoId: '<string>',
message: '<string>',
linkUrl: '<string>',
imageUrl: '<string>',
headline: '<string>',
description: '<string>'
},
status: 'PAUSED'
})
};
fetch('https://api.sapt.ai/socials/ads/ads/{projectId}/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"ad": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Ads
Create ad
Create a new ad within an ad set (PAUSED by default, pending review)
POST
/
socials
/
ads
/
ads
/
{projectId}
/
{accountId}
Create ad
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Body
application/json